pub mod tokenizer;

use std::fs;

use logos::Logos;

use crate::tokenizer::Token;

fn main() {
    // Read the contents of the file into a string
    let contents =
        fs::read_to_string("programs/wat2wasm/assets/complex.wat").expect("Failed to read file");

    let lex = Token::lexer(&contents);
    for toke in lex {
        println!("{:?}", toke);
    }
}

#[non_exhaustive]
#[derive(Debug, PartialEq)]
pub enum WasmType {
    I32,
    I64,
    F32,
    F64,
}

#[non_exhaustive]
#[derive(Debug, PartialEq)]
pub enum WasmOperation {
    Add,
}
